import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import javax.swing.filechooser.*;
import javax.swing.JFileChooser;

public class SlideShow extends JFrame implements ActionListener {
	private Vaszon vaszon; 
	private JPanel panel;
	private JButton btNext, btBack, btList, btExit;
	public JMenuItem betoltes,diavetites;
	public JMenuItem clear;
	public String img;
	public int lepteto = 0;
	private JTextArea _text = new JTextArea(5,10); //tmp
	
	public SlideShow() {
		setTitle("Slideshow");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		setSize(800,600);
		JScrollPane scrollingArea = new JScrollPane(_text);  //tmp
		
		JMenuBar menuBar = new JMenuBar();
			JMenu file = new JMenu("File");
			JMenu settings = new JMenu("Belltsok");
			JMenu help = new JMenu("Sg");
			menuBar.add(file);
			menuBar.add(settings);
			menuBar.add(help);
			file.setMnemonic('F');
		betoltes = createMenuItem("Betlts",true);
				file.add(betoltes);
				betoltes.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_B, Event.CTRL_MASK));
		clear = createMenuItem("Log Trlse",true);
				settings.add(clear);
		diavetites = createMenuItem("Diavetts",true);
				file.add(diavetites);
		setJMenuBar(menuBar);
		
		vaszon = new Vaszon();
		vaszon.betolt();
		
		panel = new JPanel();
		btNext = new JButton("Kvetkez");
			btNext.setEnabled(false);
		btBack = new JButton("Elz");
			btBack.setEnabled(false);
		btList = new JButton("Lista"); //tmp
		btExit = new JButton("Kilp");
		panel.add(btBack);
		panel.add(btNext);
		panel.add(btList); //tmp
		panel.add(btExit);
		
		add(scrollingArea,"North"); //tmp
		add(vaszon);
		add(panel,"South");
		vaszon.setIndex(1);
		
		btNext.addActionListener(this);
		btBack.addActionListener(this);
		btList.addActionListener(this);
		btExit.addActionListener(this);
		
		_text.setBackground(Color.BLUE);
		_text.setForeground(Color.WHITE);
		_text.setText("Logfile: ");
		setVisible(true);
	}
	
	public void actionPerformed(ActionEvent e) {
		if(e.getSource() == betoltes){
			String currentDirectoryPath = "./pictures";
			JFileChooser chooser = new JFileChooser(currentDirectoryPath);
			int selectedFile = chooser.showOpenDialog(SlideShow.this);
			if(selectedFile == JFileChooser.APPROVE_OPTION){
				img = chooser.getSelectedFile().getName();
			}			
			vaszon.addToNames(img);
			vaszon.clearKepek();
			vaszon.betolt();
				btNext.setEnabled(true);
				if(vaszon.getKepekSize() > 2){
					btBack.setEnabled(true);
				}
				_text.setText(_text.getText() + "\n" + "A " + img + " kp betltse sikeres.");
		}

		if(e.getSource() == btNext){
			vaszon.setIndex(++lepteto);
			_text.setText(_text.getText() + "\nNext: " + vaszon.getIndex() + " Kepek-size: " + vaszon.getKepekSize());
			if(vaszon.getIndex() == (vaszon.getKepekSize()-1)){
				btNext.setEnabled(false);
				if(vaszon.getKepekSize() > 2){
					btBack.setEnabled(true);
				}		
			} else { btNext.setEnabled(true); }
			
		}
		if(e.getSource() == btBack){
			vaszon.setIndex(--lepteto);
			_text.setText(_text.getText() + "\nBack: " + vaszon.getIndex() + " Kepek-size: " + vaszon.getKepekSize());
			if(vaszon.getIndex() == 1){	
				btNext.setEnabled(true);
				btBack.setEnabled(false);
			} else { btBack.setEnabled(true); }
		}
		if(e.getSource() == btList){
			_text.setText(_text.getText() + "\nA betlttt kpek listja:\n " + vaszon.getVectorElement());
		}
		if(e.getSource() == clear){
			_text.setText("");
		}
		if(e.getSource() == diavetites){
			Diavetites dia = new Diavetites(1000);
			dia.setElindult(true);
		}
		if(e.getSource() == btExit){
			System.exit(0);
		}
	}
	
	public static void main(String[] args) {
		new SlideShow();
	}
	
	public JMenuItem createMenuItem(String ItemName, boolean isEnabled){
		JMenuItem item = new JMenuItem(ItemName);
		item.addActionListener(this);
		item.setEnabled(isEnabled);
		return item;
	}
}