import java.awt.*;
import java.util.Vector;
import javax.swing.JPanel;

public class Vaszon extends JPanel {
	public Vector<Image> kepek = new Vector<Image>();
	public int index = 0;
	public String text = "";
	public Vector<String> filenames = new Vector<String>();
	private MediaTracker tracker = new MediaTracker(this);
	//KONSTRUKTOR
	public Vaszon() {
		filenames.insertElementAt("asdf0.jpg",0);
	}
	public void betolt(){	
		for(int i=0;i<filenames.size();++i){		
			Image image = Toolkit.getDefaultToolkit().createImage("pictures/"+filenames.get(i));
			kepek.add(image);
			tracker.addImage(image,i);
		} try {
			tracker.waitForAll();
		} catch(InterruptedException e) { }	
	}
	
	public void addToNames(String filename){
		filenames.add(filename);
	}
	
	public String getVectorElement(){

		for(int i=0;i<filenames.size();++i){
			text += ("\t" + filenames.get(i) + "\n");
		}
		return text;
	}
	
	public int getVectorSize(){
		return filenames.size();
	}
	
	@Override
	protected void paintComponent(Graphics g){
		super.paintComponent(g);
		g.drawImage(kepek.get(index),0,0,null);
	}
	
	public void setIndex(int index){
		if(index < 0 || index >= kepek.size()){
			this.index = 0;
		} else { this.index = index; }
		repaint();
	}
	
	public int getIndex(){
		return index;
	}
	
	public int getKepekSize(){
		return kepek.size();
	}
	
	public void clearKepek(){
		kepek.clear();
	}
}